<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ss.usermodel.CellStyle (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ss.usermodel.CellStyle (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/CellStyle.html" target="_top">Frames</a>
        </li>
        <li><a href="CellStyle.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ss.usermodel.CellStyle" class="title">Uses of Interface<br>org.apache.poi.ss.usermodel.CellStyle
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.converter">org.apache.poi.hssf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.util">org.apache.poi.ss.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel.helpers">org.apache.poi.xssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a> in <a
                            href="../../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#isEmptyStyle-org.apache.poi.ss.usermodel.CellStyle-">isEmptyStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;cellStyle)</code>
                                <div class="block">Returns <tt>false</tt> if cell style by itself (without text, i.e.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></span></code>
                                <div class="block">High level representation of the style of a cell in a sheet of a
                                    workbook.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html#cloneStyleFrom-org.apache.poi.ss.usermodel.CellStyle-">cloneStyleFrom</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;source)</code>
                                <div class="block">Clones all the style information from another
                                    HSSFCellStyle, onto this one.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#setCellStyle-org.apache.poi.ss.usermodel.CellStyle-">setCellStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Set the style for the cell.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#setDefaultColumnStyle-int-org.apache.poi.ss.usermodel.CellStyle-">setDefaultColumnStyle</a></span>(int&nbsp;column,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Sets the default column style for a given column.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">setRowStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Applies a whole-row cell styling to the row.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Workbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html#createCellStyle--">createCellStyle</a></span>()</code>
                                <div class="block">Create a new Cell style and add it to the workbook's style table
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Cell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html#getCellStyle--">getCellStyle</a></span>()</code>
                                <div class="block">Return the cell's style.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Workbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html#getCellStyleAt-int-">getCellStyleAt</a></span>(int&nbsp;idx)</code>
                                <div class="block">Get the cell style object at the given index</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html#getColumnStyle-int-">getColumnStyle</a></span>(int&nbsp;column)</code>
                                <div class="block">Returns the CellStyle that applies to the given
                                    (0 based) column, or null if no style has been
                                    set for that column
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Row.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html#getRowStyle--">getRowStyle</a></span>()</code>
                                <div class="block">Returns the whole-row cell styles.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">CellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html#cloneStyleFrom-org.apache.poi.ss.usermodel.CellStyle-">cloneStyleFrom</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;source)</code>
                                <div class="block">Clones all the style information from another
                                    CellStyle, onto this one.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ExcelNumberFormat.html"
                                    title="class in org.apache.poi.ss.usermodel">ExcelNumberFormat</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelNumberFormat.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ExcelNumberFormat.html#from-org.apache.poi.ss.usermodel.CellStyle-">from</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Cell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html#setCellStyle-org.apache.poi.ss.usermodel.CellStyle-">setCellStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Set the style for the cell.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html#setDefaultColumnStyle-int-org.apache.poi.ss.usermodel.CellStyle-">setDefaultColumnStyle</a></span>(int&nbsp;column,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Sets the default column style for a given column.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Row.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html#setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">setRowStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Applies a whole-row cell styling to the row.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RangeCopier.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/RangeCopier.html#cloneCellContent-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.Cell-java.util.Map-">cloneCellContent</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;srcCell,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                   title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;destCell,
                                java.util.Map&lt;java.lang.Integer,<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&gt;&nbsp;styleMap)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a> in <a
                            href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/CellUtil.html#createCell-org.apache.poi.ss.usermodel.Row-int-java.lang.String-org.apache.poi.ss.usermodel.CellStyle-">createCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                                int&nbsp;column,
                                java.lang.String&nbsp;value,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Creates a cell, gives it a value, and applies a style if provided
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a> in <a
                            href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html#createCellStyle--">createCellStyle</a></span>()</code>
                                <div class="block">Create a new Cell style and add it to the workbook's style table
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#getCellStyle--">getCellStyle</a></span>()</code>
                                <div class="block">Return the cell's style.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html#getCellStyleAt-int-">getCellStyleAt</a></span>(int&nbsp;idx)</code>
                                <div class="block">Get the cell style object at the given index</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFSheet.html#getColumnStyle-int-">getColumnStyle</a></span>(int&nbsp;column)</code>
                                <div class="block">Returns the CellStyle that applies to the given
                                    (0 based) column, or null if no style has been
                                    set for that column
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html#getRowStyle--">getRowStyle</a></span>()</code>
                                <div class="block">Returns the whole-row cell style.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#setCellStyle-org.apache.poi.ss.usermodel.CellStyle-">setCellStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Set the style for the cell.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFSheet.html#setDefaultColumnStyle-int-org.apache.poi.ss.usermodel.CellStyle-">setDefaultColumnStyle</a></span>(int&nbsp;column,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Sets the default column style for a given column.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html#setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">setRowStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Applies a whole-row cell styling to the row.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFCellStyle</a></span></code>
                                <div class="block">High level representation of the the possible formatting information
                                    for the contents of the cells on a sheet in a
                                    SpreadsheetML document.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#getColumnStyle-int-">getColumnStyle</a></span>(int&nbsp;column)</code>
                                <div class="block">Returns the CellStyle that applies to the given
                                    (0 based) column, or null if no style has been
                                    set for that column
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html#cloneStyleFrom-org.apache.poi.ss.usermodel.CellStyle-">cloneStyleFrom</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;source)</code>
                                <div class="block">Clones all the style information from another
                                    XSSFCellStyle, onto this one.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html#setCellStyle-org.apache.poi.ss.usermodel.CellStyle-">setCellStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Set the style for the cell.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#setDefaultColumnStyle-int-org.apache.poi.ss.usermodel.CellStyle-">setDefaultColumnStyle</a></span>(int&nbsp;column,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">setRowStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                    title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Applies a whole-row cell styling to the row.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel.helpers">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/helpers/package-summary.html">org.apache.poi.xssf.usermodel.helpers</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/helpers/package-summary.html">org.apache.poi.xssf.usermodel.helpers</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                title="interface in org.apache.poi.ss.usermodel">CellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ColumnHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/ColumnHelper.html#setColDefaultStyle-long-org.apache.poi.ss.usermodel.CellStyle-">setColDefaultStyle</a></span>(long&nbsp;index,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/CellStyle.html" target="_top">Frames</a>
        </li>
        <li><a href="CellStyle.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
